> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all External Connections

> This endpoint returns a list of your External Connections inside the 'data' attribute of the response. External Connections are used by Telnyx customers to seamless configure SIP trunking integrations with Telnyx Partners, through External Voice Integrations in Mission Control Portal.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml get /external_connections
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /external_connections:
    get:
      tags:
        - External Connections
      summary: List all External Connections
      description: >-
        This endpoint returns a list of your External Connections inside the
        'data' attribute of the response. External Connections are used by
        Telnyx customers to seamless configure SIP trunking integrations with
        Telnyx Partners, through External Voice Integrations in Mission Control
        Portal.
      operationId: ListExternalConnections
      parameters:
        - $ref: '#/components/parameters/FilterConnectionsConsolidated'
        - $ref: '#/components/parameters/external-voice-integrations_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/GetAllExternalConnectionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const externalConnection of
            client.externalConnections.list()) {
              console.log(externalConnection.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.external_connections.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.ExternalConnections.List(context.TODO(), telnyx.ExternalConnectionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.externalconnections.ExternalConnectionListPage;

            import
            com.telnyx.sdk.models.externalconnections.ExternalConnectionListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ExternalConnectionListPage page = client.externalConnections().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.external_connections.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx external-connections list \
              --api-key 'My API Key'
components:
  parameters:
    FilterConnectionsConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Filter parameter for external connections (deepObject style). Supports
        filtering by connection_name, external_sip_connection, id, created_at,
        and phone_number.
      schema:
        type: object
        properties:
          connection_name:
            type: object
            properties:
              contains:
                type: string
                default: null
                example: My Connection
                description: >-
                  If present, connections with <code>connection_name</code>
                  containing the given value will be returned. Matching is not
                  case-sensitive. Requires at least three characters.
          external_sip_connection:
            enum:
              - zoom
              - operator_connect
            type: string
            example: zoom
            description: >-
              If present, connections with <code>external_sip_connection</code>
              matching the given value will be returned.
          id:
            type: string
            default: null
            example: '1930241863466354012'
            description: >-
              If present, connections with <code>id</code> matching the given
              value will be returned.
          created_at:
            type: string
            default: null
            example: '2022-12-31'
            description: >-
              If present, connections with <code>created_at</code> date matching
              the given YYYY-MM-DD date will be returned.
          phone_number:
            type: object
            properties:
              contains:
                type: string
                example: '+15555555555'
                description: >-
                  If present, connections associated with the given phone_number
                  will be returned. A full match is necessary with a e164
                  format.
            description: >-
              Phone number filter for connections. Note: Despite the 'contains'
              name, this requires a full E164 match per the original
              specification.
    external-voice-integrations_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    GetAllExternalConnectionResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: Get All External Connections Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalConnection'
              meta:
                $ref: >-
                  #/components/schemas/external-voice-integrations_PaginationMeta
  schemas:
    ExternalConnection:
      type: object
      title: External Connection
      properties:
        id:
          $ref: '#/components/schemas/external-voice-integrations_IntId'
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: external_connection
        active:
          $ref: '#/components/schemas/ConnectionActive'
        credential_active:
          $ref: '#/components/schemas/CredentialActive'
        external_sip_connection:
          $ref: '#/components/schemas/ExternalSipConnection'
        tags:
          type: array
          items:
            type: string
          description: Tags associated with the connection.
          example:
            - tag1
            - tag2
        webhook_event_url:
          type: string
          format: uri
          description: >-
            The URL where webhooks related to this connection will be sent. Must
            include a scheme, such as 'https'.
          example: https://example.com
        webhook_event_failover_url:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            The failover URL where webhooks related to this connection will be
            sent if sending to the primary URL fails. Must include a scheme,
            such as 'https'.
          example: https://failover.example.com
          default: ''
        webhook_api_version:
          type: string
          description: Determines which webhook format will be used, Telnyx API v1 or v2.
          enum:
            - '1'
            - '2'
          example: '1'
          default: '1'
        webhook_timeout_secs:
          type:
            - integer
            - 'null'
          minimum: 0
          maximum: 30
          description: Specifies how many seconds to wait before timing out a webhook.
          example: 25
          default: null
        inbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the number of concurrent inbound calls
                to phone numbers associated with this connection.
              default: null
              example: 10
        outbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the number of concurrent outbound
                calls to phone numbers associated with this connection.
              default: null
              example: 10
            outbound_voice_profile_id:
              $ref: >-
                #/components/schemas/external-voice-integrations_OutboundVoiceProfileId
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2018-02-02T22:25:27.521Z'
      example:
        id: '1930241863466354012'
        record_type: external_connection
        external_sip_connection: zoom
        credential_active: false
        active: false
        created_at: '2022-06-29T19:23:59Z'
        updated_at: '2022-06-29T19:39:47Z'
        outbound:
          outbound_voice_profile_id: '1911630617284445511'
    external-voice-integrations_PaginationMeta:
      title: Pagination Meta
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    external-voice-integrations_IntId:
      title: Int ID
      type: string
      description: Uniquely identifies the resource.
      example: '1293384261075731499'
      x-format: int64
    ConnectionActive:
      title: Connection Active
      type: boolean
      description: Specifies whether the connection can be used.
      default: true
      example: false
    CredentialActive:
      title: Credential Active
      description: If the credential associated with this service is active.
      type: boolean
      default: false
      example: true
    ExternalSipConnection:
      title: External SIP Connection
      type: string
      description: The service that will be consuming this connection.
      enum:
        - zoom
        - operator_connect
      default: zoom
      example: zoom
    external-voice-integrations_OutboundVoiceProfileId:
      title: Outbound Voice Profile ID
      type: string
      description: Identifies the associated outbound voice profile.
      example: '1293384261075731499'
      x-format: int64
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````